View Issue Details

IDProjectCategoryView StatusLast Update
0003884unrealdocumentationpublic2010-03-01 19:55
ReportersatmdAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.9-RC1 
Summary0003884: ./Config could be more verbose with explaining the questions
Description./Config includes a question about an 'anti-spoofing' option, but this option hardly explains itself

Rather than being about anti-spoofing, it blocks http get/post proxies.


Steps To ReproduceAsked during every ./Config
Additional InformationJust happened to find a copy of UnrealIRCd on a server with anti-spoof disabled without any reason.

When asking the admin, he told me he turned it off because he had trouble connecting and turned it off during solving this problem.

We could add some hints to this very question, e.g. that it effectively blocks HTTP GET/POST proxies by using a PING cookie.

Nobody would guess the meaning of this option just by the naming of 'anti-spoofing'.

IMHO Its description should encourage people to keep it enabled.
TagsNo tags attached.
3rd party modules

Activities

satmd

2010-01-13 23:13

reporter   ~0016001

I've tried suggesting the terminology "ping cookie" to inspircd's team, too, for having a common terminology on that feature - derived from the idea of tcp cookies ported onto osi level 8.

ohnobinki

2010-02-02 22:05

reporter   ~0016013

It appears to me that nospoof is still disabled by default in CVS

syzop

2010-03-01 19:54

administrator   ~0016043

I eh didn't notice this bugreport (or forgot about it), until ohnobinki mentioned it today.

The description was updated a few months back, and now again with this browser/javascript POST issue. I also made it default to enabled during ./Config on *NIX (on Windows it was already on).
I think a big majority of the people will have it turned on now.

Issue History

Date Modified Username Field Change
2010-01-09 23:21 satmd New Issue
2010-01-13 23:13 satmd Note Added: 0016001
2010-02-02 22:05 ohnobinki Note Added: 0016013
2010-03-01 19:54 syzop QA => Not touched yet by developer
2010-03-01 19:54 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-03-01 19:54 syzop Note Added: 0016043
2010-03-01 19:54 syzop Status new => resolved
2010-03-01 19:54 syzop Fixed in Version => 3.2.9-RC1
2010-03-01 19:54 syzop Resolution open => fixed
2010-03-01 19:54 syzop Assigned To => syzop